Changes between Version 20 and Version 54 of Ticket #25391


Ignore:
Timestamp:
06/22/18 07:57:34 (17 months ago)
Author:
jdemeyer
Comment:

This should be fixed in 3.7.0, so we should just upgrade when that version comes out.

Legend:

Unmodified
Added
Removed
Modified
  • Ticket #25391

    • Property Status changed from needs_info to closed
    • Property Milestone changed from sage-8.3 to sage-duplicate/invalid/wontfix
    • Property Report Upstream changed from Reported upstream. Developers acknowledge bug. to Fixed upstream, in a later stable release.
    • Property Resolution changed from to duplicate
  • Ticket #25391 – Description

    v20 v54  
    55
    66The 1st error manifests itself as a failure to import the crypt module during the build of Python 3.
    7 It is due to an unspecified issue with Fedora 28 implementation of `crypt()`, which as reported in https://fedoraproject.org/wiki/Changes/Replace_glibc_libcrypt_with_libxcrypt is not the standard glibc implementation. Since I couldn't find a way to fix the crypt implementation in a reliable manner, I opted to implement the patch reported here https://bugs.python.org/issue28503 to allow python to use `crypt_r()`, which works.
     7It is due to an unspecified issue with Fedora 28 implementation of `crypt()`, which as reported in https://fedoraproject.org/wiki/Changes/Replace_glibc_libcrypt_with_libxcrypt is not the standard glibc implementation.
     8
     9This was fixed in https://bugs.python.org/issue32635